Subject: bug#38038: 27.0.50; Emacs freezes opening tabs.

From: Juri Linkov <[email-masked]>
Date: Fri, 08 Nov 2019 00:36:25 +0200

>> Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>>
>> (set-face-attribute 'default nil
>>   :weight 'ultra-bold :underline t)
>>
>> When I tried, it signals '(wrong-type-argument bufferp nil)'
>> in "command-error-default-function" and goes into infinite loop.
>> I have no idea what is wrong.
>
> Is this still an issue, or were these hangs solved?  If this is still
> an issue, do you need help in debugging it?

These hangs occur not only with tab-bar, but also with menu-bar
when tab-bar is not enabled.  These hangs can be reproduced by
configuring --with-x-toolkit=no and running emacs -Q.
Then evaluating this causes hangs:

  (set-face-attribute 'menu nil :weight 'ultra-bold :underline t)

Unfortunately I don't understand what is wrong with code
that implements non-native menu-bar/tool-bar/tab-bar.

> What else remains to be done with tabs before we can starte pretesting
> Emacs 27?

I almost finished implementing auto-scrolling for bug#37667,
but this needs more testing.  I'll post the patch next week.